# $Revision: 1.68 $, $Date: 2010/06/06 08:31:39 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
%bcond_without	apache1	# don't build apache1 module
%bcond_without	apache2	# don't build apache2 module
#
%define	apxs1	/usr/sbin/apxs1
%define	apxs2	/usr/sbin/apxs
%include 	/usr/lib/rpm/macros.perl
%define		pdir	CGI
%define		pnam	SpeedyCGI
Summary:	Speed up perl CGI scripts by running them persistently
Summary(pl.UTF-8):	Moduł przyspieszający perlowe skrypty CGI
Name:		perl-CGI-SpeedyCGI
Version:	2.22
Release:	16
License:	GPL v2+
Group:		Networking/Daemons
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2f80df78874e3efa80f180923c4967a1
Source1:	apache-mod_speedycgi.conf
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-APXS.patch
Patch2:		%{name}-debian.patch
URL:		http://daemoninc.com/SpeedyCGI/
%{?with_apache2:BuildRequires:	apache-devel}
%{?with_apache1:BuildRequires:	apache1-devel}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if %{with apache1}
%define		apache1confdir	%(%{apxs1} -q SYSCONFDIR 2>/dev/null)/conf.d
%define		apache1libdir	%(%{apxs1} -q LIBEXECDIR 2>/dev/null)
%define		apache1docdir	/home/services/apache
%endif
%if %{with apache2}
%define		apache2confdir	%(%{apxs2} -q SYSCONFDIR 2>/dev/null)/conf.d
%define		apache2libdir	%(%{apxs2} -q LIBEXECDIR 2>/dev/null)
%define		apache2docdir	/home/services/httpd
%endif

%description
SpeedyCGI is a way to run CGI perl scripts persistently, which usually
makes them run much more quickly. After the script is initially run,
instead of exiting, SpeedyCGI keeps the perl interpreter running in
memory. During subsequent runs, this interpreter is used to handle new
requests, instead of starting a new perl interpreter for each
execution.

%description -l pl.UTF-8
SpeedyCGI to sposób na ciągłe działanie perlowych skryptów CGI, co
zazwyczaj powoduje, że uruchamiają się dużo szybciej. Po początkowym
uruchomieniu skryptu, SpeedyCGI trzyma interpreter Perla w pamięci.
Przy kolejnych uruchomieniach ten interpreter jest wykorzystywany do
obsługi kolejnych zleceń, zamiast uruchamiania nowego interpretera
Perla do każdego uruchomienia skryptu.

%package -n apache-mod_speedycgi
Summary:	SpeedyCGI apache module
Summary(pl.UTF-8):	Moduł apache SpeedyCGI
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Requires:	apache(modules-api) = %apache_modules_api
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description -n apache-mod_speedycgi
SpeedyCGI apache module.

%description -n apache-mod_speedycgi -l pl.UTF-8
Moduł apache SpeedyCGI.

%package -n apache1-mod_speedycgi
Summary:	SpeedyCGI apache module
Summary(pl.UTF-8):	Moduł apache SpeedyCGI
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Requires:	apache1 >= 1.3.33-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description -n apache1-mod_speedycgi
SpeedyCGI apache module.

%description -n apache1-mod_speedycgi -l pl.UTF-8
Moduł apache SpeedyCGI.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__perl} Makefile.PL </dev/null \
	INSTALLDIRS=vendor
%{?with_apache1:cd mod_speedycgi && perl Makefile.PL && cd ..}
%{?with_apache2:cd mod_speedycgi2 && perl Makefile.PL && cd ..}

%{__make} -j1 \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%if %{with apache1}
%{__make} -C mod_speedycgi APXS="%{apxs1}" \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"
%endif
%if %{with apache2}
%{__make} -C mod_speedycgi2 APXS="%{apxs2}" \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"
%endif

%{?with_test:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_archlib}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with apache1}
install -d $RPM_BUILD_ROOT{%{apache1libdir},%{apache1docdir}/speedy,%{apache1confdir}}
install %{SOURCE1} $RPM_BUILD_ROOT%{apache1confdir}/mod_speedycgi.conf
install mod_speedycgi/mod_speedycgi.so $RPM_BUILD_ROOT%{apache1libdir}
%endif
%if %{with apache2}
install -d $RPM_BUILD_ROOT{%{apache2libdir},%{apache2docdir}/speedy,%{apache2confdir}}
install %{SOURCE1} $RPM_BUILD_ROOT%{apache2confdir}/90_mod_speedycgi.conf
install mod_speedycgi2/mod_speedycgi.so $RPM_BUILD_ROOT%{apache2libdir}
%endif

ln -s speedy $RPM_BUILD_ROOT%{_bindir}/speedycgi

%clean
rm -rf $RPM_BUILD_ROOT

%post -n apache-mod_speedycgi
%service -q httpd restart

%post -n apache1-mod_speedycgi
%service -q apache restart

%preun -n apache-mod_speedycgi
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%preun -n apache1-mod_speedycgi
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%files
%defattr(644,root,root,755)
%doc README docs contrib
%{perl_vendorlib}/CGI/*.pm
%attr(755,root,root) %{_bindir}/speedy*

%if %{with apache1}
%files -n apache1-mod_speedycgi
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{apache1confdir}/*mod_speedycgi.conf
%attr(755,root,root) %{apache1libdir}/mod_speedycgi.so
%dir %{apache1docdir}/*
%endif

%if %{with apache2}
%files -n apache-mod_speedycgi
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{apache2confdir}/*mod_speedycgi.conf
%attr(755,root,root) %{apache2libdir}/mod_speedycgi.so
%dir %{apache2docdir}/*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-CGI-SpeedyCGI.spec,v $
Revision 1.68  2010/06/06 08:31:39  arekm
- release 16

Revision 1.67  2009/09/12 11:09:56  radek
- release 15: strict DynaLoader dep no longer required

Revision 1.66  2008/03/03 09:28:33  arekm
- rel 14; some fixes from debian including perl 5.10 build fix

Revision 1.65  2008-02-10 12:01:21  arekm
- rel 13

Revision 1.64  2008-01-31 17:40:01  glen
- rel 12

Revision 1.63  2008-01-10 08:43:25  glen
- add CC to %{__make}

Revision 1.62  2007-12-26 18:19:37  glen
- use conf.d for apache config fragment; rel 11

Revision 1.61  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.60  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.59  2006/06/06 11:33:46  glen
- build goes out of sync, force 1 jobserver; rel 10

Revision 1.58  2006/06/06 11:32:10  glen
- use %service; fix apache deps

Revision 1.57  2006/06/06 11:03:44  qboosh
- updated bcond desc

Revision 1.56  2006/06/06 10:58:18  arekm
- rel 9; apache2 module builds now; add bindir/speedycgi->speedy symlink.

Revision 1.55  2005/12/22 01:33:22  glen
- added LoadModule to apache config; rel 8

Revision 1.54  2005/12/22 01:25:41  glen
- fix building of apache modules (was completely messed up)
- somebody kill existing apache-mod_speedycgi from ftp, as it's actually apache1 module!
- rel 7

Revision 1.53  2005/12/13 14:37:23  glen
- adapterized (sorted %verify flags)

Revision 1.52  2004/11/20 19:36:19  radek
- release 6.1: unified, added strict DynaLoader requirement

Revision 1.51  2004/11/03 22:30:09  paladine
- formatting

Revision 1.50  2004/10/29 09:27:53  paladine
- "HTTP" and "HTTPS" unification

Revision 1.49  2004/10/24 13:52:28  paladine
- spelling fixes

Revision 1.48  2004/10/10 11:58:58  havner
- rel 6 for rebuild with new apache/apr

Revision 1.47  2004/08/10 18:49:04  radek
- release 5: bloody typo in Requires

Revision 1.46  2004/08/09 19:25:17  radek
- release 4: turned the "apache1" bcond on by default
  (it appears that this module doesn't work with apache2 yet)

Revision 1.45  2004/08/09 19:04:06  havner
- rel 3

Revision 1.44  2004/06/05 18:10:32  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.43  2004/05/07 00:31:59  ankry
- rel. 2

Revision 1.42  2004/05/06 18:09:18  ankry
- fixed perl-devel BR

Revision 1.41  2004/05/05 11:02:10  ankry
- cosmetics

Revision 1.40  2004/04/27 07:11:03  ankry
- site -> vendor

Revision 1.39  2004/04/20 09:46:27  ankry
- bcond fixes/porting

Revision 1.38  2004/04/17 18:00:50  ankry
- license/summary/description fixes

Revision 1.37  2004/04/11 05:47:13  agaran
- update to 2.22, added conditional build with apache1 (builds correctly), not tested with apache

Revision 1.36  2003/08/13 14:46:38  ankry
- cosmetics

Revision 1.35  2003/05/28 13:00:28  malekith
- massive attack: source-md5

Revision 1.34  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.33  2003/04/12 09:28:45  ankry
- release up to be higher than in RA-branch; cosmetics

Revision 1.32  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.31  2003/02/25 00:36:51  radek
- use the __perl macro

Revision 1.30  2003/02/18 15:27:10  ankry
- massive attack: change CPAN URLs

Revision 1.29  2003/02/09 21:28:55  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.28  2002/10/28 15:39:43  ankry
- version 2.21

Revision 1.27  2002/10/03 09:41:22  kloczek
- release 2,
- fixed http://bugs.pld.org.pl/?bug=368: added missing %{apxs} macro definition.

Revision 1.26  2002/09/27 21:02:12  ankry
- added tests ; cleaning
- version 2.20, rel. 1

Revision 1.25  2002/08/13 15:21:45  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.24  2002/06/11 07:39:21  qboosh
- don't clear httpd.conf when uninstalling mod_speedycgi
- new %doc, release 7

Revision 1.23  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.22  2002/03/03 21:40:06  marcus
- rel.6.

Revision 1.21  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/02/10 15:39:12  depesz
- adapterized

Revision 1.19  2002/02/09 12:59:37  depesz
- unfied source path

Revision 1.18  2002/01/18 02:14:12  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/12/07 15:07:30  qboosh
- pl translations, release 5

Revision 1.16  2001/05/22 18:52:05  kloczek
- realy remove noarch :)

Revision 1.15  2001/05/22 17:00:49  mis
- too much noarch

Revision 1.14  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.13  2001/05/07 12:56:25  baggins
- release 3
- fixed pre/post scripts

Revision 1.12  2001/04/30 16:05:26  kloczek
- added using %{rpmcflags} macro.

Revision 1.11  2001/04/17 12:06:06  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %{version} and %{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/03/30 10:30:23  mis
- autoupdated to 2.11

Revision 1.8  2001/02/02 12:16:50  mis
- updated to 2.10

Revision 1.7  2001/01/25 20:03:43  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.6  2000/12/28 10:19:51  kloczek
- BuildRequires rule for apache(EAPI)-devel (not apache(EAPI)).

Revision 1.5  2000/12/28 04:56:29  kloczek
- added DESTDIR patch.

Revision 1.4  2000/12/28 04:33:06  kloczek
- updated to 2.02,
- new Source url,
- rewrited %post/%postun scripts,
- added apache(EAPI) to BuildRequires,
- added /usr/sbin/apxs to Prereq.

Revision 1.3  2000/12/28 03:32:57  kloczek
- release 2: rebuild against perl 5.6 and use new rpm automation.

Revision 1.2  2000/10/25 08:31:28  mis
- updated to 2.0.1

Revision 1.1  2000/09/13 15:03:27  mis
- new from scratch, %pre/post scripts taken from mod_ssl.spec
  NOTE: this version needs non-threaded Perl to compile (tested with v5.6)
